package com.template.api;

import com.template.model.result.CommonResult;
import io.swagger.annotations.Api;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

@RequestMapping("/api/driver")
@Api(tags = {"DriverStockController"}, value = "驾驶舱")
public interface DriverStockControllerAPI {

    @RequestMapping(value = "/getClassTj")
    @ResponseBody
    public CommonResult getClassTj();

    @RequestMapping(value = "/getVisitorTj")
    @ResponseBody
    public CommonResult getVisitorTj();

    @RequestMapping(value = "/queryPageSmartWarning")
    @ResponseBody
    public CommonResult queryPageSmartWarning(int currentPage, int pageCount, String name, String state);

    @RequestMapping(value = "/getEnergyTj")
    @ResponseBody
    public CommonResult getEnergyTj();

    @RequestMapping(value = "/getEnergyTjAvg")
    @ResponseBody
    public CommonResult getEnergyTjAvg();

    @RequestMapping(value = "/getEnergyMonth")
    @ResponseBody
    public CommonResult getEnergyMonth(Integer type);

    @RequestMapping(value = "/getEnergyDay")
    @ResponseBody
    public CommonResult getEnergyDay(Integer type);

    @RequestMapping(value = "/getDeviceT")
    @ResponseBody
    public CommonResult getDeviceT();

    @RequestMapping(value = "/getMeterPage")
    @ResponseBody
    public CommonResult getMeterPage(int currentPage, int pageCount,Integer meterType);

    @RequestMapping(value = "/getUserComp")
    @ResponseBody
    public CommonResult getUserComp();

    @RequestMapping(value = "/getUserPage")
    @ResponseBody
    public CommonResult getUserPage(int currentPage, int pageCount,String key,Integer identityId);

    @RequestMapping(value = "/getScorePer")
    @ResponseBody
    public CommonResult getScorePer(String examName,String updateUser);

    @RequestMapping(value = "/getExamName")
    @ResponseBody
    public CommonResult getExamName();

    @RequestMapping(value = "/getTeacherExam")
    @ResponseBody
    public CommonResult getTeacherExam(String cardNo);

}
